Firefox 65.0 Packager - PEM certificate error

Post Reply
kevfrey
Posts: 10
Joined: Thu Sep 03, 2015 10:20 am

Firefox 65.0 Packager - PEM certificate error

Post by kevfrey » Tue Feb 19, 2019 5:02 pm

Our organization uses custom root certificates for a variety of needs (external suppliers and internal verification).
I always bundle the same PEM formatted certs into the Packager build process, and it has always worked fine.
However, on Build 65.0, I perform the same certificate upload function.
But, when I run the new FMFirefox (65.0) each cert throws a modal dialog error box that reads as follows:
=================
"Unable to install resource://identifierline/certs/{certificatefilename} - TypeError:
Services.io.newChannelFromURI is not a function

errorCritical@resource://cck2f/CCK2.JSM:121:13
observe@resource://cck2f/CCK2.jsm:88:21
=================
This error is an "OK" button dialog, and for each cert I have bundled, it throws this error.
After clicking OK through the cert errors, browser seems to function as normal.
But, I can't deploy to my user community with this inconvenient error without mutiny ;-)

Any help / advice is appreciated;

KevFrey

Post Reply